/**************  VARIABLES *************/

/********** FONT SIZE *********/

$fs-default: 1.6rem;
$fs-title-1: 3.0rem;
$fs-title-2: 2.4rem;
$fs-title-3: 2.4rem;
$lh-default: 2.0rem;

/********** FONTS *********/

@font-face {
  font-family: 'Helvetica Neue', sans-serif;
  src: url('../fonts/HelveticaNeueMedium.ttf') format('truetype');
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: 'Microsoft JhengHei', sans-serif;
  src: url('../fonts/msjh.ttf') format('truetype');
  font-weight: normal;
  font-style: normal;
}


$font-default: 'Helvetica Neue', sans-serif;
$font-title: 'Microsoft JhengHei', sans-serif;


/********** COLORS *********/

$bg-color-blue: #3B81BE;
$bg-color-grey: #A9A9A96B;
$bg-color-dark: #333333;
$bg-link-hover: #ffffff;
$color-text-grey: #A9A9A9;
$color-text-dark: #333333;
$color-text-blue: #3B81BE;
$color-link: #ffffff;
$color-link-hover: #3B81BE;

/********** BORDER *********/

$border-input: 1px solid #eee;
$border-input-hover: 1px solid #aaa;

/********** SHADOW *********/

$shadow-input: 4px 4px 10px rgba(0,0,0,0.06);


/* *****************************************************************
GENERAL
***************************************************************** */

* {
    box-sizing: border-box;
}

body {
    font-family: $font-default;
    font-size: $fs-default;
    // color: $color-text;
    line-height: $lh-default;
    margin: 0px;
}


html {
    font-size: 62.5%;
}

img {
    max-width: 100%;
    height: auto;
}

.flex {
    display: flex;
    flex-wrap: wrap;
}

ul,
li {
    list-style-type: none;
    padding-left: 0;
}

h1,
h2,
h3 {
    font-family: $font-title;
}

h1 {
    font-size: $fs-title-1;
}

h2 {
    font-size: $fs-title-2;
}

h3 {
    font-size: $fs-title-3;
    color: $color-text-blue;
    padding-bottom: 1em;
    line-height: initial;
}

.form-check {
    position: relative;
    display: block;
}
            
.form-check-toggle {
    position: relative;
    cursor: pointer;
    display: inline-block;
    font-size: $fs-default;
    
    input {
        position: absolute;
        margin: 0.5em;
    }
            
    input + span {
        cursor: pointer;
        position: relative;
        padding-left: 3.5em;
        display: inline-block;
            
            &:before {
                content: '';
                position: absolute;
                left: 0;
                display: inline-block;
                height: 1.4em;
                width: 2.8em;
                background:  #4d4f53;
                transition: background 0.3s ease-in-out, border-color 0.3s ease-in-out;
                border-radius: 2em;
            }
            
            &:after {
                content: '';
                position: absolute;
                left: 0;
                top: 0;
                display: block;
                width: 1.3rem;
                height: 1.3rem;
                margin: 0.3em 0 0 0.3em;
                border-radius: 50%;
                background: #a0a0a0;
                transition: margin-left 0.3s ease-in-out, box-shadow 0.3s ease-in-out;
            }
    }
            
    input {
        &:checked + span {
            &:after {
                content: '';
                margin-left: 1.7em;
                background: white;
            }
            
            &:before {
                background: $bg-color-blue;
                border-color: white;
                transition: background 0.3s ease-in-out, border-color 0.3s ease-in-out;
            }
        }
    }
}

/* *****************************************************************
HEADER
***************************************************************** */

header {
    width: 100%;
    background-color: $bg-color-blue;
        
        .accessibility-menu {
            display: block;
            background-color: $bg-color-grey;
            color: $color-link;
            width: max-content;
            min-width: auto;
            min-height: 1.6em;
            max-height: 1.6em;
            overflow: hidden;
            cursor: pointer;
            margin: auto;
        }    
        .select-accessibility-menu {
            padding: 0.3em 1em;
        }
        
        .accessibility-filter {
            display: flex;
            flex-direction: column;
            align-items: flex-start;
            width: 100%;
            background-color: $bg-color-grey;
            gap: 1em;
            padding: 1em 2em 1em 1em;
            margin: 0;
            color: $color-link;
            transition: all  1s linear; 
        }
            
            .chevron-down {
              margin-left: 10px;
              height: 10px;
              width: 20px;
              transition: transform 0.3s ease-in;
            }
            
            .active {
              max-height: 300px;
              overflow: none; 
              transition: 0.3s max-height;
            }
            
            .animate-chevron{
              transform: scaleY(-1);
              transition: transform 0.3s ease-in;
            }
    
        div {
            /* Display */
            justify-content: space-between;
            align-items: center;
            position: relative;
            flex-wrap: nowrap !important;
        
            >a {
                width: 50%;
                flex-wrap: nowrap;
                
                    .header-logo {
                    padding : 0.25em;
                    }
                    
                    h1 {
                    display: none;
                    }
            }

            nav {
                /* Display */
                // width: 50%;
                padding: 1em;
                flex-wrap: nowrap !important;
                align-items: center;
                justify-content: space-around;
                gap: 1.5em;
                    .twitter-link::before {
                        content: url('../img/icon/x-twitter.svg');
                        display: inline-block; 
                        width: 1.8em; 
                    }
                    
                    .contact-link {
                        display: flex;
                        flex-direction: column;
                        align-items: center;
                        text-align: center;
                        text-decoration: none; 
                        font-family: $font-title;
                        font-size: 1em; 
                        font-weight: 600;
                        letter-spacing: -0.05em;
                    }
                    
                    .contact-link::before {
                        content: url('../img/icon/envelope-solid.svg');
                        display: inline-block;   
                        width: 2em; 
                    }

                    .contact-link::after {
                        content: ' Contactez-nous';
                        display: none;   
                    }
                    
                    .logout-link::before {
                        content: url('../img/icon/out-solid.svg');
                        display: inline-block;   
                        width: 2em; 
                    }
                    
                    .author-link::before {
                        content: url('../img/icon/user-solid.svg');
                        display: inline-block;   
                        width: 2em; 
                    }
                    
                    a {
                        color: $color-link;
                    }
                    
                    ul {
                        /* Positioning */
                        position: absolute;
                        top: 4.0em;
                        right: 0;
                        z-index: 9999;
                        /* Display & box model */
                        display: flex;
                        flex-direction: column;
                        align-items: baseline;
                        padding: 1em 5em 0em 2em;
                        background: rgb(255, 255, 255);
                        box-shadow: -5px 0 11px 0 rgba(0, 0, 0, 0.2);
                        /* Text */
                        list-style: none;

                        li {
                            padding-bottom: 1.5em;
                        }
                        
                        li>a {
                        /* Text & Decoration*/
                        font-size : $fs-title-2;
                        font-weight: bold;
                        text-decoration: none;
                        color: $color-text-blue;
                        }
                        
                        li:first-child {
                            >a::before {
                                content: url('../img/icon/infos-solid-blue.svg');
                                display: inline-block; 
                                width: 1em; 
                                margin-right: 0.5em;
                            }
                        }
                        li:nth-child(2) {
                            > a::before {
                                content: url('../img/icon/circle-nodes-solid-blue.svg');
                                display: inline-block;   
                                width: 1em; 
                                margin-right: 0.5em;
                            }
                        }
                        
                        li:nth-child(3) {
                            > a::before {
                                content: url('../img/icon/user-solid-blue.svg');
                                display: inline-block;   
                                width: 1em; 
                                margin-right: 0.5em;
                            }
                        }
                    }
                
                    [aria-expanded="false"] + ul {
                        display: none;
                    }
                    
                    button {
                        all: unset;
                    }  
                    button::before {
                        content: url('../img/icon/bars-solid.svg');
                        display: inline-block; 
                        width: 2em; 
                    }
            }
        }    
}

header.backoffice {
    background-color: $bg-color-dark;
}



/* *****************************************************************
MAIN
***************************************************************** */
main {
    
    .not-found-404 {
        display: flex;
        align-items: center;
        flex-direction: column;
        text-align: center;
        margin-bottom: 5em;
        margin-top: 2em;

        .title-404 {
            font-size: 15rem;
            font-weight: 900;
            margin: 0.6em;
            padding-bottom: 0px;
            text-shadow: 0 0 0.05em $bg-color-blue;
            animation: shake 2.5s linear forwards;
        }
        
        h3 span {
            position: absolute;
            top: 0;
            left: 0;
            transform: translate(-50%, -50%);
            -webkit-clip-path: polygon(10% 0%, 44% 0%, 70% 100%, 55% 100%);
                    clip-path: polygon(10% 0%, 44% 0%, 70% 100%, 55% 100%);
            font-size: 24rem;
        }
        
        h3::before,
        h3::after {
            content: attr(data-text);
            position: absolute;
            top: 0;
            left: 0;
        }
        
        h3::before {
            animation: crack1 2.5s linear forwards;
            -webkit-clip-path: polygon(0% 0%, 10% 0%, 55% 100%, 0% 100%);
                    clip-path: polygon(0% 0%, 10% 0%, 55% 100%, 0% 100%);
        }
        
        h3::after {
            animation: crack2 2.5s linear forwards;
            -webkit-clip-path: polygon(44% 0%, 100% 0%, 100% 100%, 70% 100%);
                    clip-path: polygon(44% 0%, 100% 0%, 100% 100%, 70% 100%);
        }
        
        p:first-of-type {
            font-weight: bold;
        }
        
        @keyframes shake {
            0%, 100% {
                transform: translate(0);
            }
            10%, 30%, 50%, 70%, 90% {
                transform: translate(-10px, 0px);
            }
            20%, 40%, 60%, 80% {
                transform: translate(10px, 0px);
            }
        }
        
        @keyframes crack1 {
            0%, 95% {
                transform: translate(-50%, -50%);
            }
        
            100% {
                transform: translate(-51%, -48%);
            }
        }
        
        @keyframes crack2 {
            0%, 95% {
                transform: translate(-50%, -50%);
            }
        
            100% {
                transform: translate(-49%, -53%);
            }
        }
    
    }
    
    #map {
        width: 100%;
        height: 100vh;
        
        .flash-icon {
            animation: blink 2s infinite normal;
        }
        
        @keyframes blink {
            0% {
                opacity: 1;
                width: 1em;
            }
            33.33333% {
                opacity: 0;
                width: 2em;
            }
            100% {
                opacity: 1;
                width: 1em;
            }
        }
        
        .leaflet-popup-content {
            width: max-content;
            padding-top: 1em;
            font-size: $fs-default;
            font-family: $font-default;
        }
        
        .leaflet-marker-pane svg {
            overflow: visible;
        }
    }
    
    #legendContainer, #eventsResult {
        position: absolute;
        z-index: 9000;
        padding: 2em;
        background-color: rgb(255, 255, 255);
        box-shadow: -5px 0 11px 0 rgba(0, 0, 0, 0.2);
    }
    
    #legendContainer {
        display: none;
        right: 1em;

        h3 {
            text-align: center;
            padding-bottom: 0;
        }
        
        h3:nth-of-type(2) {
            margin-top: -1em;
        }
        
        h3:nth-of-type(3) {
            margin-top: 2em;
        }
        
        .magnitude-legend, .oldest-legend, .type-legend {
            justify-content: space-around;
            text-align: center;
            div {
                flex-direction: column;
                align-items: center;
                p {
                text-align: center;
                font-weight: 600;
                white-space: break-spaces;
                margin: 0.5em;
                }
            }
        }
        .oldest-legend {
            svg {
                width: 100%;
                font-weight: 600;
            }
        }

    }
    
    #eventsResult {
        display: none;
        left: 2em;
        .events-filter {
            flex-direction: column;
            gap: 1em;
            padding-bottom: 2em;
            font-size: $lh-default;
            border-bottom: 2px solid $bg-color-grey;
        }
    }
    
    .container {
        padding: 3em;
        width: 100%;
        margin: auto;
    }
    
    .last-container {
        width: 100%;
        padding: 0;
        margin: inherit;
    }
    
    .custom-container {
        width: 100%;
        background-color: $bg-color-grey;
        margin: 2em 0 2em;
    }
    
    .modal {
        position: fixed;
        top: 0;
        right: 0;
        bottom: 0;
        left: 0;
        display: none;
        align-items: center;
        justify-content: center;
        background: rgba(77, 77, 77, .7);
        transition: all 0.4s;
    }
    
    .modal-content {
        background-color: white;
        padding: 2em;
        margin: 2em;
        box-shadow: 0 1em 2em rgba(0,0,0,0.5);
    }
    
    .action-article-btn {
        width: 100%;
    }
    
    .link {
        display: inline-block;
        margin: 0.25em auto;
        padding: 1em 0.5em;
        background-color: $bg-color-blue;
        box-shadow: $shadow-input;
        border: none;
        border-radius: 0.5em;
        color: #ffffff;
        text-decoration: none;
        text-align: center;
        cursor: pointer;
    }
    
    .link:hover {
        background-color: $bg-link-hover;
        color: $color-link-hover;
    }
    
    .error,
    .success {
        margin-bottom: 1em;
		padding: 1em 1em 1em 3.5em;
		box-shadow: $shadow-input;
		border: $border-input;
		border-radius: 0.5em;
    }
        
    .success {
        background-color: #DFF2BF;
		background-image: url('../img/icon/circle-check-regular.svg');
		background-size: 1.5em;
		background-repeat: no-repeat;
        background-position: 1em center;
    }
        
    .error {
		background-color: #FFBABA;
		background-image: url('../img/icon/triangle-exclamation-solid.svg');
		background-size: 1.5em;
		background-repeat: no-repeat;
        background-position: 1em center;
	}
	
	
	header {
        background-color: $bg-color-dark;
        padding: 1em 1em 0 1em;
        justify-content: space-between;
        display: flex;
        align-items: flex-start;
        
        .map-link::before {
            content: url('../img/icon/map-solid.svg');
            display: inline-block;   
            width: 2em; 
            margin-right: 0.5em;
        }
        
        h2 {
            display: inline;
            color: #ffffff;
            margin: 0;
            border-bottom: 0.3em solid #3B81BE;
            padding-bottom: 0.5em;
        }
        
        h2.legend-title {
            margin-right: 0.4em;
            cursor: pointer;
        }
        
        h2.events-title {
            cursor: pointer;
        }
        
        h2::before {
            display: inline-block;   
            width: 1em; 
            margin-right: 0.5em;
            vertical-align: bottom;
        }
            
        h2.contact::before {
            content: url('../img/icon/envelope-solid.svg');
        }
        
        h2.about::before {
            content: url('../img/icon/infos-solid.svg');
        }
            
        h2.partners::before {
            content: url('../img/icon/circle-nodes-solid.svg');
        }
        h2.news::before {
            content: url('../img/icon/x-twitter.svg');
        }
        h2.legend-title::before {
            content: url('../img/icon/bullseye-cursor.svg');
        }
        h2.events-title::before {
            content: url('../img/icon/time-past.svg');
        }
    }
    
    header.backoffice {
        background-color: $bg-color-blue;
        padding: 1em;
            h2 {
                border-bottom: none;
            }
            h2.request::before {
                content: url('../img/icon/infos-solid.svg');
            }
            h2.content::before {
                content: url('../img/icon/circle-nodes-solid.svg');
            }
            h2.author::before {
                content: url('../img/icon/user-solid.svg');
            }
	}
	
	table {
        width: 100%;
        
        thead {
           display: none;
           background-color: $bg-color-grey;
        }
        
        tbody {
            display: block;
        }
        
        tr {
            display: block;
            margin-bottom: 3em;
        }
        
        td {
            border-top: 2px solid $bg-color-grey;
            display: block;
            text-align: right;
            padding: 0.5em;
        }
        
        td::before {
            content: attr(data-label);
            float: left;
            font-weight: 300;
            text-transform: uppercase;
        }
        
        td:last-child {
            border-bottom: 0;
        }
    }

      table td::before {
        content: attr(data-label);
        float: left;
        margin: 0 4em 0.25em 0;
        font-weight: bold;
        text-transform: uppercase;
      }
      
	
	div {
	    
	    .block {
            background-color: $bg-color-grey;
            padding: 2em;
            justify-content: center;
            margin-top: 2em;
	    }
	    
	    .message {
	        margin: 2em 0;
	    }
	    .message-type {
	        flex-wrap: unset;
	        justify-content: space-between;
	        border-top: 2px solid $bg-color-grey;
	    }
	    .message-action {
	        justify-content: flex-end;
	        gap: 2rem;
	    }
	    
	   .delete {
            background-color: #991b1b;
        }
        
        .delete:hover {
            background-color: #FFBABA;
        }
        
	    .archived {
            background-color: $bg-color-grey;
            color: $color-text-dark;
        }
        
	    p {
	       white-space: pre-line;
	    }
        p.custom-paragraph {
	       width: 100vw;
	       background-color: $bg-color-grey;
	       padding: 2em 3em;
	   }
	   h3.last-title {
	      padding: 1em 0 0 2em;
	   }
	   q {
	      display: inline-block;
	      padding-top: 2em;
	      font-style: italic;
	      font-size: 1.3rem;
            span {
            font-weight: bold;
            }
	   }
	}
	
	iframe {
	    width: 100vw;
	    height: 250px;
	    margin-top: 2em;
	    border: none;
	}
    
    form {
        flex-direction: column;
        
        div {
            flex-direction: column;
            padding-bottom: 1em;
        }
        
        div:last-child {
            text-align: center;
        }
        
        label {
            padding-bottom: 1em;
            font-weight: 500;
        }
        
        textarea,
        select,
        input {
            width: 100%;
            padding: 1em;
            box-shadow: $shadow-input;
            border-radius: 0.5em;
            border: $border-input;
            transition: .3s border-color;
        }
        
        input[type="checkbox"] {
            width: initial;
        }
        
        select {
            background-color: #FFFFFF;
        }
        
        textarea:hover,
        select:hover,
        input:hover {
             border: $border-input-hover;
        }
        
        .btn {
            width: 50%;
            margin-top: 0.5em;
            cursor: pointer;
        }
    }
}

/* *****************************************************************
FOOTER
***************************************************************** */
footer {
    width: 100%;
    justify-content: space-between;
    background-color: $bg-color-blue;

    div {
        /* Display & box model */
        width: 50%;
        justify-content: space-around;
        align-items: center;
        padding: 0.5rem;
        /* Text & décoration */
        font-size: 1rem;
        color: $color-link;
        
        a {
            color: $color-link;
        }
    }
    
    .footer-logo {
        width: 20%;
    }
}

footer.backoffice {
        background-color: $bg-color-dark;
}

/* *****************************************************************
TABLETTE
***************************************************************** */

@media screen and (min-width: 768px) {
    
    header {
        
        .accessibility-filter {
            flex-direction: row;
            margin-right: 3em;
        }    
        .select-accessibility-menu {
            text-align: center;
        }
        
        div {
            
            >a {
                width: 65%;
                display: flex;
                align-items: center;
                text-decoration: none;
                
                .header-logo {
                    width : 100%;
                }
            
                h1 {
                    /* Display */
                    width : 100%;
                    display: inline;
                    padding: 0 1rem;
                    /* Text */
                    font-weight: 300;
                    font-style: italic;
                    /* Decoration */
                    color: $color-link;
                }
                        
                h1::before {
                    content: "|";
                    margin-right: 5px; 
                    font-style: normal;
                    }
            }
            nav {
                /* Display */
                width: 35%;
                justify-content: space-around;

                .contact-link::after {
                    display: block;
                }
                
                .logout-link::before {
                    vertical-align: middle;
                    margin-right: 0.5em;
                }
                
                .logout-link::after {
                    content: "Déconnexion";
                    display: inline-block;
                }
                
                ul {
                    /* Positioning */
                    top: 5em;
                    flex-direction: column;
                }
            }
        }
    }
    
    main {
        
        header {
        padding: 1em 3em 0 3em;
            
            h2.legend-title {
            margin-right: 4em;
            }
        }
        
        .not-found-404 {
            .title-404 {
                font-size: 24rem;
            }
        }

        
        .block {
                flex-direction: column;
                padding: 1em 3em;
        }
            
        .message-coordinates {
    	        float: left;
    	        gap: 1em;
    	}
    	
    	#legendContainer {
    	left: 2.5em;
        width: 60%;
            .magnitude-legend, .oldest-legend, .type-legend {
                flex-wrap: nowrap;
            }
        }
        
        #eventsResult {
            right: 1em;
            left: unset;
            width: 50%;
        }
    	
        p.mail {
                float: left;
        }
        
        iframe {
	    height: 450px;
	    }
	    
	    img.float {
            float: left;
            padding-right: 1em;
            margin: 0 auto 1em;
        }
    }
    
    footer {
        div {
            width: 30%;
            font-size: 0.8em;
        }
    }
}
/* *****************************************************************
BUREAU PORTABLE
***************************************************************** */

@media screen and (min-width: 1280px) {
    
    header {
        div {
            
            >a {
                 .header-logo {
                    width : 30%;
                }
            }
            nav {
                ul {
                    /* Positioning */
                    top: 4em;
                }
            }
        }
    }
    
    main {
        
        .container {
            width: 40%;
            padding: 3em 1.5em 3em 3em;
        }
        
        .container-back {
            margin: initial;
        }
        
        .custom-container {
            margin: auto;
        }
        
        .center {
            margin: auto;
        }
        
        #legendContainer {
            width: 40%;
        }
        
        div {
        
            .message {
                width: 100%;
            }
            iframe {
                width: 50%;
                height: 500px;
                padding: 0 3em;
            }
            p.custom-paragraph {
	        width: 100%;
            }
        }
        
        table {
            border-collapse: collapse;
            border: 2px solid $bg-color-grey;

            thead {
                display: table-header-group;

            }
            
            tbody {
                display: table-row-group;
            }
            
            tr {
                display: table-row;
                margin-bottom : 0;
            }
            
            td, 
            th
            {
                border: 2px solid $bg-color-grey;
                display: table-cell;
                text-align: left;
                padding: 0.5em;
            }
            
            .scroll-cell {
                max-height: 100px;
            }
            
            .scroll-container {
                max-height: 100px;
                overflow-y: auto; 
            } 
        }
        
        table td::before  {
            content: none;
            float: none;
            font-weight: normal;
            text-transform: none;
        }
    }
    
    footer {
        div {
            width: 20%;
        }
    }
}

/* *****************************************************************
LARGE SCREEN
***************************************************************** */
@media screen and (min-width: 1920px) {
    header {
            div {
                
                >a {
                     .header-logo {
                        width : 20%;
                    }
                }
            }
    }
        
    main {
        .container {
            width: 50%;
        }
    }
    
    footer {
        div {
            width: 15%;
        }
    }
}